Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] Initial APKBUILD of dfc

Pierre Carrier
Details
Message ID
<1422372507-23182-1-git-send-email-pierre@gcarrier.fr>
Sender timestamp
1422372507
DKIM signature
missing
Download raw message
Patch: +40 -0
---
 testing/dfc/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/dfc/APKBUILD

diff --git a/testing/dfc/APKBUILD b/testing/dfc/APKBUILD
new file mode 100644
index 0000000..db6ed88
--- /dev/null
+++ b/testing/dfc/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Pierre Carrier <pierre@gcarrier.fr>
+# Maintainer: Pierre Carrier <pierre@gcarrier.fr>
+pkgname=dfc
+pkgver=3.0.5
+pkgrel=0
+pkgdesc="displays file system space usage using graphs and colors."
+url="http://projects.gw-computing.net/projects/dfc"
+arch="all"
+license="BSD"
+makedepends="cmake"
+source="http://projects.gw-computing.net/attachments/download/467/dfc-$pkgver.tar.gz"
+
+_builddir="$srcdir"/dfc-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake . -DCMAKE_BUILD_TYPE=Release \
+		-DPREFIX=/usr \
+		-DSYSCONFDIR=/etc \
+		|| return 1
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make install/fast DESTDIR="$pkgdir"
+}
+
+md5sums="3e6443c54966751f5e9fdaca33d873d1  dfc-3.0.5.tar.gz"
+sha256sums="3c947a1d6bc53347b1643921dcbf4c6f8fe7eb6167fc1f4e9436366f036d857a  dfc-3.0.5.tar.gz"
+sha512sums="f828ede8aee0a496518d1ee9583ba71495cdd01ee0d22833e3b46aeb5f5f870ce7de629923d129a7bf795b458feec10f9a16882134dae34dd2ace7ea9eebb134  dfc-3.0.5.tar.gz"
-- 
2.2.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20150130112237.0cc2a4c0@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1422372507-23182-1-git-send-email-pierre@gcarrier.fr> (view parent)
Sender timestamp
1422613357
DKIM signature
missing
Download raw message
On Tue, 27 Jan 2015 15:28:27 +0000
Pierre Carrier <pierre@gcarrier.fr> wrote:

> ---
>  testing/dfc/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 40 insertions(+)
>  create mode 100644 testing/dfc/APKBUILD

applied. thanks!

i also added a -doc subpackage

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---